#
# Conditional build:
%bcond_with	gtk3		# use GTK+ 3.x instead of 2.x

Summary:	MATE screensaver
Summary(pl.UTF-8):	Wygaszacz ekranu MATE
Name:		mate-screensaver
Version:	1.8.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
# Source0-md5:	a392fefa7d00f25c10e526d2dbd0d25a
Source1:	%{name}.pamd
URL:		http://mate-desktop.org/
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.30
BuildRequires:	gettext-devel >= 0.10.40
BuildRequires:	glib2-devel >= 1:2.26.0
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.14.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libmatekbd-devel >= 1.7.1
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	mate-common
BuildRequires:	mate-desktop-devel >= 1.7.1
BuildRequires:	mate-menus-devel >= 1.5.0
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	systemd-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xmlto
BuildRequires:	xorg-lib-libX11-devel >= 1.0
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	xz
Requires(post,preun):	glib2 >= 1:2.26.0
Requires:	dbus-glib >= 0.30
Requires:	glib2 >= 1:2.26.0
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.14.0}
%{?with_gtk3:Requires:	gtk+3 >= 3.0.0}
Requires:	libmatekbd >= 1.7.1
Requires:	libnotify >= 0.7.0
Requires:	mate-desktop >= 1.7.1
Requires:	mate-menus >= 1.5.0
Requires:	xdg-menus
Requires:	xorg-lib-libX11 >= 1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mate-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.

%description -l pl.UTF-8
mate-screensaver to wygaszacz ekranu z opcją blokowania, który ma za
zadanie mieć proste, rozsądne i bezpieczne ustawienia domyślne oraz
być dobrze zintegrowany ze środowiskiem graficznym.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-locking \
	--enable-pam \
	--disable-silent-rules \
	%{?with_gtk3:--with-gtk=3.0} \
	--with-mit-ext \
	--with-shadow \
	--with-xf86gamma-ext \
	--with-xscreensaverdir=%{_datadir}/xscreensaver \
	--with-xscreensaverhackdir=%{_libdir}/xscreensaver
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/mate-screensaver

# mate < 1.5 did not exist in PLD, avoid dependency on mate-conf
%{__rm} $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/org.mate.screensaver.gschema.migrate

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mate-screensaver
%attr(755,root,root) %{_bindir}/mate-screensaver-command
%attr(755,root,root) %{_bindir}/mate-screensaver-preferences
%attr(755,root,root) %{_libexecdir}/mate-screensaver-dialog
%attr(755,root,root) %{_libexecdir}/mate-screensaver-gl-helper
%dir %{_libexecdir}/mate-screensaver
%attr(755,root,root) %{_libexecdir}/mate-screensaver/floaters
%attr(755,root,root) %{_libexecdir}/mate-screensaver/popsquares
%attr(755,root,root) %{_libexecdir}/mate-screensaver/slideshow
%{_datadir}/%{name}
%{_datadir}/backgrounds/cosmos
%{_datadir}/dbus-1/services/org.mate.ScreenSaver.service
%{_datadir}/desktop-directories/mate-screensaver.directory
%{_datadir}/glib-2.0/schemas/org.mate.screensaver.gschema.xml
%{_datadir}/mate-background-properties/cosmos.xml
%{_desktopdir}/mate-screensaver-preferences.desktop
%dir %{_desktopdir}/screensavers
%{_desktopdir}/screensavers/cosmos-slideshow.desktop
%{_desktopdir}/screensavers/footlogo-floaters.desktop
%{_desktopdir}/screensavers/gnomelogo-floaters.desktop
%{_desktopdir}/screensavers/personal-slideshow.desktop
%{_desktopdir}/screensavers/popsquares.desktop
%{_pixmapsdir}/gnome-logo-white.svg
%{_pixmapsdir}/mate-logo-white.svg
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/mate-screensaver
%{_sysconfdir}/xdg/autostart/mate-screensaver.desktop
%{_sysconfdir}/xdg/menus/mate-screensavers.menu
%{_pkgconfigdir}/mate-screensaver.pc
%{_mandir}/man1/mate-screensaver.1*
%{_mandir}/man1/mate-screensaver-command.1*
%{_mandir}/man1/mate-screensaver-preferences.1*
%changelog
* Mon Sep 29 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-screensaver.git;a=log;h=master

* Mon Sep 29 2014 Jan Palus <atler@pld-linux.org> e50beac
- up to 1.8.1

* Tue Jul 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 77ce4cb
- cmn locale is supported now
- added gtk3 bcond

* Sat Mar 15 2014 Jan Palus <jan.palus@gmail.com> 65e2609
- replace obsolete pam_mate_keyring with pam_gnome_keyring
- rel 2

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 93e10b3
- up to 1.8.0

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 9741513
- updated to 1.6.2

* Wed Jan 01 2014 Jakub Bogusz <qboosh@pld-linux.org> f21c090
- new, modified from gnome-screensaver 2.x

